Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 21 Dec 2014, 13:17
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
GoogleGadgets 0.10.1
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Thu 05 Jun 2008, 14:16    Post_subject:  GoogleGadgets 0.10.1
Sub_title: august 12, 2008
 

Info:
http://code.google.com/p/google-gadgets-for-linux/
german:
http://www.pro-linux.de/news/2008/12774.html

Download (1.8 MB):
http://dotpups.de/puppy3/dotpups/Desktop-Tools/google-gadgets-for-linux-0.10.1-i486.pet
mirror:
http://puppyfiles.ca/dotpupsde/puppy3/dotpups/Desktop-Tools/google-gadgets-for-linux-0.10.1-i486.pet

Might require Gstreamer:
http://dotpups.de/puppy3/dotpups/Libraries/gstreamer-python/
Maybe just gstreamer-0.10.19-i486.pet, or maybe more.
Some puplets already have an own gstreamer, you should not install gstreamer then, as this could break things.

I tested it in Muppy 008.x, that already includes all libraries.
For Puppy4 you need the pet described in his message further down.

On my system, the gadgets have no transparent background.
If you run wNOP, Tigerpup or another compiz-solution, you get transparent backgrounds.

Mark

old, outdated version:
http://dotpups.de/puppy3/dotpups/Desktop-Tools/GoogleGadgets-0.9.1.pup
Mirror:
http://puppyfiles.ca/dotpupsde/puppy3/dotpups/Desktop-Tools/GoogleGadgets-0.9.1.pup

_________________
my recommended links

Edited_times_total
Back to top
View user's profile Send_private_message Visit_website 
tombh


Joined: 12 Jan 2007
Posts: 422
Location: Bristol, UK

PostPosted: Thu 05 Jun 2008, 16:22    Post_subject:  

Wow! This is really exciting. I think this is better than screenlets and gdesklets because there are so many more gadgets in google's archives.

The main program installed fine, i chose sidebar mode and that appears transparent in wNOP, which is great. However, I have no gadgets at all. Trying to add gadgets gives this error...

Code:
profile://plugins.xml:963: parser error : Premature end of data in tag plugins line 1
Simon Philip' category='tools' creation_date='January 17, 2008' download_url='ht
                                                                               ^
Succeeded to request gadget metadata update, but failed to parse the result


I installed the gstreamer dependencies as suggested. Also i notice that there are some .gg files already included (/usr/local/GoogleGadgets-0.9.1/share/google-gadgets), yet I can't even get them to work.

_________________
Colour-Memories Database
Back to top
View user's profile Send_private_message Visit_website 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Thu 05 Jun 2008, 16:56    Post_subject:  

I attach an archive.
Please extract in /root/.
It will overwrite /root/.google/

It should add a clock and a calendar.

If it does not work, you maybe have a different libxml.

Then please run:
ldd /usr/local/GoogleGadgets-0.9.1/bin/ggl-gtk
and post the result.
Mark
google.tar.gz
Description 
gz

 Download 
Filename  google.tar.gz 
Filesize  495.99 KB 
Downloaded  777 Time(s) 

_________________
my recommended links
Back to top
View user's profile Send_private_message Visit_website 
tombh


Joined: 12 Jan 2007
Posts: 422
Location: Bristol, UK

PostPosted: Thu 05 Jun 2008, 18:27    Post_subject:  

Bingo! It all works perfect now Smile Thanks Mark.
_________________
Colour-Memories Database
Back to top
View user's profile Send_private_message Visit_website 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15122
Location: Paradox Realm

PostPosted: Fri 06 Jun 2008, 00:14    Post_subject:  

converted the .pup to a pet for Puppy 4
http://tmxxine.com/pet/GoogleGadgets-0.9.1.pet
added all the progs and restarted X
program is there but not doing anything . . .
couple of missing libs . . . ?

Code:
# ldd /usr/local/GoogleGadgets-0.9.1/bin/ggl-gtk
        linux-gate.so.1 =>  (0xffffe000)
        libggadget-1.0.so.0 => /usr/local/GoogleGadgets-0.9.1/lib/libggadget-1.0             .so.0 (0xb7d00000)
        libggadget-gtk-1.0.so.0 => /usr/local/GoogleGadgets-0.9.1/lib/libggadget             -gtk-1.0.so.0 (0xb7cce000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb7a6d000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb7a56000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb79f4000)
        libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb79ef000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb79da000)
        librt.so.1 => /lib/librt.so.1 (0xb79c7000)
        librsvg-2.so.2 => /usr/lib/librsvg-2.so.2 (0xb799f000)
        libgsf-1.so.114 => /usr/lib/libgsf-1.so.114 (0xb7969000)
        libbz2.so.1 => /usr/lib/libbz2.so.1 (0xb795d000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb786f000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb7867000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb7842000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb7813000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb77b6000)
        libXrender.so.1 => /usr/X11R7/lib/libXrender.so.1 (0xb77af000)
        libX11.so.6 => /usr/X11R7/lib/libX11.so.6 (0xb76dd000)
        libxcb-xlib.so.0 => not found
        libxcb.so.1 => not found
        libXau.so.6 => /usr/X11R7/lib/libXau.so.6 (0xb76d6000)
        libXdmcp.so.6 => /usr/X11R7/lib/libXdmcp.so.6 (0xb76d1000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb76b3000)
        libfontconfig.so.1 => /usr/X11R7/lib/libfontconfig.so.1 (0xb768d000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb7671000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb7613000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb7603000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb75e3000)
        libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb75df000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb7552000)
        libltdl.so.3 => /usr/local/GoogleGadgets-0.9.1/lib/libltdl.so.3 (0xb754b             000)
        libdl.so.2 => /lib/libdl.so.2 (0xb7547000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7460000)
        libm.so.6 => /lib/libm.so.6 (0xb743e000)
        libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0xb7432000)
        libc.so.6 => /lib/libc.so.6 (0xb7337000)
        libXfixes.so.3 => /usr/X11R7/lib/libXfixes.so.3 (0xb7333000)
        libXext.so.6 => /usr/X11R7/lib/libXext.so.6 (0xb7327000)
        libXrandr.so.2 => /usr/X11R7/lib/libXrandr.so.2 (0xb7321000)
        libXcursor.so.1 => /usr/X11R7/lib/libXcursor.so.1 (0xb7317000)
        /lib/ld-linux.so.2 (0xb7f9b000)
        libz.so.1 => /lib/libz.so.1 (0xb7308000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb72d7000)
#

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Fri 06 Jun 2008, 03:18    Post_subject:  

Lob,

Quote:
libxcb-xlib.so.0 => not found
libxcb.so.1 => not found


They are in Puppy 3 (in /usr/lib/), can you copy them over?
I did not run the gadgets in JWM yet.
In Icewm, I get a new trayicon, if I right-click it, I can chose options, e.g. to add gadgets.

If it works, please report, which files you copied Smile

Mark

_________________
my recommended links
Back to top
View user's profile Send_private_message Visit_website 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15122
Location: Paradox Realm

PostPosted: Fri 06 Jun 2008, 05:55    Post_subject:  

Moin Mark,

Had to rename the files from Puppy 3 (take off the added 0.0 designation)
It now works in Dingo - put the two enclosed files in /usr/lib
as Mark suggests

Looks promising Cool
GoogleOS maybe here soon . . .
maybe as part of Android (open source incidentally) for phones?

'Do No Evil'
libsdingo.tar.gz
Description 
gz

 Download 
Filename  libsdingo.tar.gz 
Filesize  56.14 KB 
Downloaded  776 Time(s) 

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Tue 12 Aug 2008, 09:13    Post_subject:  

compiled version 0.10.1.

I don't see a difference to the beta, but now we have a current version.
Compiled with:

./configure --prefix=/usr --disable-static

So if you want to update the old beta, uninstall that first, as it is located in a different folder.

download:
http://dotpups.de/puppy3/dotpups/Desktop-Tools/google-gadgets-for-linux-0.10.1-i486.pet
mirror:
http://puppyfiles.ca/dotpupsde/puppy3/dotpups/Desktop-Tools/google-gadgets-for-linux-0.10.1-i486.pet

Mark

_________________
my recommended links
Back to top
View user's profile Send_private_message Visit_website 
shankargopal

Joined: 03 Dec 2005
Posts: 295

PostPosted: Tue 30 Sep 2008, 06:15    Post_subject:  

Not working for me on Puppy 3.00. When I install it complains of a long list of missing dependencies. However, when I run ldd, it seems like only one library is missing: libltdl.so.3. Ldd's output is at the end of this post. I did a find for libltdl and found it in /usr/X11R7/lib, which is in my LD_LIBRARY_PATH. I also did a symlink from that library into /usr/lib, but still no luck.

I installed the gstreamer pet, no change.

Not able to figure it out... am I missing something basic?

This is ldd's output:

Code:

   linux-gate.so.1 =>  (0xffffe000)
   libggadget-1.0.so.0 => /usr/lib/libggadget-1.0.so.0 (0xb7c25000)
   libggadget-gtk-1.0.so.0 => /usr/lib/libggadget-gtk-1.0.so.0 (0xb7be8000)
   libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb78a7000)
   libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb788d000)
   libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb780a000)
   libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb7806000)
   libpthread.so.0 => /lib/libpthread.so.0 (0xb77ef000)
   librt.so.1 => /lib/librt.so.1 (0xb77e7000)
   librsvg-2.so.2 => /usr/lib/librsvg-2.so.2 (0xb77b8000)
   libgsf-1.so.114 => /usr/lib/libgsf-1.so.114 (0xb778a000)
   libbz2.so.1 => /lib/libbz2.so.1 (0xb7779000)
   libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb7660000)
   libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb7658000)
   libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb762d000)
   libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb75f0000)
   libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb757b000)
   libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb7572000)
   libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb7537000)
   libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb750c000)
   libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb74ec000)
   libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb747f000)
   libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb7469000)
   libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb742f000)
   libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb742c000)
   libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb7399000)
   libltdl.so.3 => not found
   libSM.so.6 => /usr/lib/libSM.so.6 (0xb738b000)
   libICE.so.6 => /usr/lib/libICE.so.6 (0xb7372000)
   libX11.so.6 => /usr/lib/libX11.so.6 (0xb728a000)
   libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb7288000)
   libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb7271000)
   libXau.so.6 => /usr/lib/libXau.so.6 (0xb726e000)
   libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb7269000)
   libdl.so.2 => /lib/libdl.so.2 (0xb7264000)
   libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7180000)
   libm.so.6 => /lib/libm.so.6 (0xb7159000)
   libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0xb714e000)
   libc.so.6 => /lib/libc.so.6 (0xb700c000)
   libltdl.so.3 => not found
   libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb7006000)
   libXext.so.6 => /usr/lib/libXext.so.6 (0xb6ff8000)
   libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb6ff5000)
   libXi.so.6 => /usr/lib/libXi.so.6 (0xb6fed000)
   libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb6fe7000)
   libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb6fdd000)
   /lib/ld-linux.so.2 (0xb7f28000)
   libz.so.1 => /lib/libz.so.1 (0xb6fcc000)
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Tue 30 Sep 2008, 07:29    Post_subject:  

get libltdl from this thread:
http://www.murga-linux.com/puppy/viewtopic.php?t=31185

by the way, I tried to add version 0.10.1 to Muppy 0084, but it did not work.
I was too busy to check out why, and so used 0.9.1 instead, that worked fine.
Mark

_________________
my recommended links
Back to top
View user's profile Send_private_message Visit_website 
shankargopal

Joined: 03 Dec 2005
Posts: 295

PostPosted: Wed 01 Oct 2008, 02:11    Post_subject:  

Thanks, that worked great (though for some reason I didn't come across that when I searched). Also, am stil wondering why it couldn't find libltdl when it already seemed to be in the system and in the library path...

But have another problem now. Trying to run Google Gadgets in Enlightenment DR17. If I choose "desktop", nothing happens. If I choose "sidebar", the sidebar comes up with the clock - but as soon as I move my mouse over the sidebar, it disappears, and in the terminal the following error message appears:

Code:

ggl-gtk: symbol lookup error: /usr/lib/libggadget-gtk-1.0.so.0: undefined symbol: gdk_event_request_motions


This appears even if I use the gzipped tar file that MU posted earlier in the thread. Haven't tried the earlier version yet, maybe that will work?
Back to top
View user's profile Send_private_message 
shankargopal

Joined: 03 Dec 2005
Posts: 295

PostPosted: Wed 01 Oct 2008, 02:27    Post_subject:  

OK the older version works...
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1036s ][ Queries: 13 (0.0104s) ][ GZIP on ]